Index: sansview/installer_new.iss
===================================================================
--- sansview/installer_new.iss	(revision b33d4cfb2092964d9bfebe28e9758bc2f9187194)
+++ sansview/installer_new.iss	(revision 1c57e17799108aaf2b8b49e20f9ef6e659f1057c)
@@ -26,16 +26,27 @@
 
 [Registry]
-Root: HKCR;	Subkey: ".xml";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".asc";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".dat";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".tif";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".tiff";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".sans";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
+Root: HKCR;	Subkey: ".txt\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".xml\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".tif\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".tiff\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".asc\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".dat\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR;	Subkey: ".sans\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCR; Subkey: "applications\SansView.exe\shell\open\command";	ValueType: string; ValueName: "";	ValueData: """{app}\SansView.exe""  ""%1""" ; Flags: uninsdeletevalue noerror
+Root: HKCU;	Subkey: "Software\Classes\.txt\OpenWithList\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.xml\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.asc\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.dat\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.tif\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.tiff\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU;	Subkey: "Software\Classes\.sans\openwithlist\SansView.exe"; Flags: uninsdeletekey noerror
+Root: HKCU; Subkey: "Software\Classes\applications\SansView.exe\shell\open\command";	ValueType: string; ValueName: "";	ValueData: """{app}\SansView.exe""  ""%1""" ; Flags: uninsdeletevalue noerror
 Root: HKCR;	Subkey: ".svs";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
-Root: HKCR;	Subkey: ".fitv";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
+Root: HKCR;	Subkey: ".fitv"; ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
 Root: HKCR;	Subkey: ".inv";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
 Root: HKCR;	Subkey: ".prv";	ValueType: string;	ValueName: "";	ValueData: "{app}\SansView.exe";	 Flags: uninsdeletevalue
+Root: HKCR; Subkey: "{app}\SansView.exe"; ValueType: string; ValueName: ""; ValueData: "SansView File"; Flags: uninsdeletekey 
+Root: HKCR; Subkey: "{app}\SansView.exe\shell\open\command";	ValueType: string; ValueName: "";	ValueData: """{app}\SansView.exe""  ""%1""" ; Flags: uninsdeletevalue noerror
 Root: HKCR; Subkey: "{app}\images\ball.ico";	ValueType: string; ValueName: "";	ValueData: "{app}\SansView.exe,0"
-Root: HKCR; Subkey: "{app}\SansView.exe\shell\open\command";	ValueType: string; ValueName: "";	ValueData: """{app}\SansView.exe""  ""%1"""
 Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\Session Manager\Environment";	ValueType: expandsz; ValueName: "SANSVIEWPATH";	ValueData: "{app}";	 Flags: uninsdeletevalue
 ; Write to PATH (below) is disabled; need more work
@@ -51,4 +62,5 @@
 
 
+
 [Files]
 Source: "dist\SansView.exe";	DestDir: "{app}";	Flags: ignoreversion
@@ -61,6 +73,6 @@
 Name: "{group}\SansView";	Filename: "{app}\SansView.exe";	WorkingDir: "{app}" 
 Name: "{group}\{cm:UninstallProgram, SansView}";	 Filename: "{uninstallexe}" 
-Name: "{commondesktop}\SansView-1.9.2dev_JUN";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}" 
-
+Name: "{commondesktop}\SansView";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}"
+;Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\SansView"; Filename: "{app}\SansView.exe" 
 
 [Run]
@@ -75,5 +87,5 @@
   pathArr:    TArrayOfString;
   i:        Integer;
-begin
+begin                                                        
   RegQueryStringValue(HKEY_CURRENT_USER,'Environment','PATH', oldpath)
   oldpath := oldpath + ';';
@@ -94,3 +106,2 @@
   Result := True;
 end;
-
